/*
    Задание 1.
  
    Используя механику Ref и библиотеку chartjs, сделать компонент,
    который построит график по следующим параметрам:
  
    И будет иметь кнопку "Randomize Data" который изменит dataset для текущего элемента.

  
    Пакет для установки:
    npm install chart.js --save
  
    Документация https://www.chartjs.org/docs/latest/developers/api.html
    Примеры: https://www.chartjs.org/samples/latest/
    С чего начать: https://www.chartjs.org/docs/latest/getting-started/
  
    1) Создайте структуре внутри компонента, для корректного отображения графика
    и прицепите к нему ref для доступа библиотеки. (Реф предварительно нужно создать внутри классового компонента);
    chartEl = React.createRef();
    <canvas ref={this.chartEl} />
    
    2) В жизненном цикле CDM проинициализируйте график с default настройками.
    Пример настроек по ссылке getting started и ниже:
    new Chart(ctx, {
      type: 'line',
      data: {
          labels: ['January', 'February', 'March', 'April', 'May', 'June', 'July'],
          datasets: [{
              label: 'My First dataset',
              backgroundColor: 'rgb(255, 99, 132)',
              borderColor: 'rgb(255, 99, 132)',
              data: [0, 10, 5, 2, 20, 30, 45]
          }]
      },
      options: {}
    });
  
    ctx в данном случае должен быть ссылкой на канвас, который вы получаете через ref.
    а результат выполнения данной функции, рекомендую записать в this.chart
  
  
    3) Замените в этом объекте конфигурации dataset[0].data на объект состояния, который вы будете
    рандомить и менять.
  
    4) Создайте кнопку и повесьте на нее метод который будет рандомить вам нужное количество 
    элементов массива в заданном диапазоне
  
    this.randomizeData = ( count, min, max ) => {...}
    [0, 10, 5, 2, 20, 30, 45]
    [14, 51, 38, 63, 12, 50, 63]
    [95, 17, 41, 19, 20, 19, 95]
  
    и будет присваивать получившееся значение в стейт компонента.
  
    5) После замены массива в состоянии, в методе CDU
    отловить этот момент и заменить данные уже в объекте графика и вызвать метод update для 
    его перерисовки
  
    Например так:
    this.chart.data.datasets[0].data = prevState.data;
    this.chart.update();
*/  

